Loading...
Searching...
No Matches
juce::ValueSmoothingTypes Namespace Reference

## Classes

struct | Linear
struct | Multiplicative

## Detailed Description

A namespace containing a set of types used for specifying the smoothing behaviour of the SmoothedValue class.

For example:

SmoothedValue<float, ValueSmoothingTypes::Multiplicative> frequency (1.0f);
juce::SmoothedValue
Definition juce_SmoothedValue.h:227

## Class Documentation

## juce::ValueSmoothingTypes::Linear

struct juce::ValueSmoothingTypes::Linear

Used to indicate a linear smoothing between values.

Definition at line 185 of file juce_SmoothedValue.h.

## juce::ValueSmoothingTypes::Multiplicative

struct juce::ValueSmoothingTypes::Multiplicative

Used to indicate a smoothing between multiplicative values.

Definition at line 192 of file juce_SmoothedValue.h.